/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDOMParser_H___INT_
#define __GdomDOMParser_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "DOMParser.h"
namespace WebCore {
    gpointer toGDOM(DOMParser* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMDOMParser : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOM_PARSER; }
    GDOMDOMParser(PassRefPtr<WebCore::DOMParser> impl);
    virtual ~GDOMDOMParser();
    WebCore::DOMParser* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::DOMParser> m_impl;
};
G_END_DECLS

#endif /* __GdomDOMParser_H___INT_*/
